# Class MarketDepthReply

#### Hierarchy

- unknown
  - MarketDepthReply

- Defined in src/protobuf/grpc_pb.d.ts:2252
- Defined in src/protobuf/grpc_pb.d.ts:2266

#####
Index

### Constructors

constructor

### Methods

clearMarketDepth
getMarketDepth
hasMarketDepth
serializeBinary
setMarketDepth
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new MarketDepthReply(): MarketDepthReply

- #### Returns MarketDepthReply

  Inherited from jspb.Message.constructor

## Methods

### clearMarketDepth

- clearMarketDepth(): MarketDepthReply

- #### Returns MarketDepthReply

  - Defined in src/protobuf/grpc_pb.d.ts:2256

### getMarketDepth

- getMarketDepth(): undefined | MarketDepthInfo

- #### Returns undefined | MarketDepthInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2253

### hasMarketDepth

- hasMarketDepth(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:2255

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2258

### setMarketDepth

- setMarketDepth(value?: MarketDepthInfo): MarketDepthReply

- #### Parameters

  - ##### `Optional` value: MarketDepthInfo

  #### Returns MarketDepthReply

  - Defined in src/protobuf/grpc_pb.d.ts:2254

### toObject

- toObject(includeInstance?: boolean): MarketDepthReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns MarketDepthReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2259

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): MarketDepthReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MarketDepthReply

  - Defined in src/protobuf/grpc_pb.d.ts:2262

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MarketDepthReply, reader: BinaryReader): MarketDepthReply

- #### Parameters

  - ##### message: MarketDepthReply

  - ##### reader: BinaryReader

  #### Returns MarketDepthReply

  - Defined in src/protobuf/grpc_pb.d.ts:2263

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: MarketDepthReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: MarketDepthReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2261

### `Static` toObject

- toObject(includeInstance: boolean, msg: MarketDepthReply): MarketDepthReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MarketDepthReply

  #### Returns MarketDepthReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2260

Generated using TypeDoc